commoble.looot.data

## Class NameListManager

- java.lang.Object
- - net.minecraft.client.resources.ReloadListener<java.util.Map<net.minecraft.util.ResourceLocation,FINE>>
  - - commoble.looot.data.MergeableCodecDataManager<NameList,java.util.List<java.lang.String>>
    - - commoble.looot.data.NameListManager

All Implemented Interfaces:
  net.minecraft.resources.IFutureReloadListener

    public class NameListManager
    extends MergeableCodecDataManager<NameList,java.util.List<java.lang.String>>

### Nested Class Summary

### Nested classes/interfaces inherited from interface net.minecraft.resources.IFutureReloadListener

`net.minecraft.resources.IFutureReloadListener.IStage`

### Field Summary

Fields
`java.util.Map<net.minecraft.util.ResourceLocation,java.util.List<net.minecraft.util.text.IFormattableTextComponent>>` `translationKeys` Where the strings loaded from the data are of the form e.g.

### Fields inherited from class commoble.looot.data.MergeableCodecDataManager

`data, folderName, JSON_EXTENSION, JSON_EXTENSION_LENGTH, STANDARD_GSON`

### Constructor Summary

Constructors
Constructor and Description
`NameListManager(java.lang.String folderName, org.apache.logging.log4j.Logger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `apply(java.util.Map<net.minecraft.util.ResourceLocation,java.util.List<java.lang.String>> processedData, net.minecraft.resources.IResourceManager resourceManager, net.minecraft.profiler.IProfiler profiler)` Main-thread processing, runs after prepare concludes
`protected java.util.Map<net.minecraft.util.ResourceLocation,java.util.List<net.minecraft.util.text.IFormattableTextComponent>>` `bakeTranslationKeys()`

### Methods inherited from class commoble.looot.data.MergeableCodecDataManager

`prepare, subscribeAsSyncable`

### Methods inherited from class net.minecraft.client.resources.ReloadListener

`reload`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.resources.IFutureReloadListener

`getSimpleName`

### Field Detail

#### translationKeys

    public java.util.Map<net.minecraft.util.ResourceLocation,java.util.List<net.minecraft.util.text.IFormattableTextComponent>> translationKeys

Where the strings loaded from the data are of the form e.g. "word", the translation keys are of the form e.g. "modid.looot.namewords.prefixes.folders.subfolders.word"

### Constructor Detail

#### NameListManager

    public NameListManager(java.lang.String folderName,
                           org.apache.logging.log4j.Logger logger)

### Method Detail

#### apply

    protected void apply(java.util.Map<net.minecraft.util.ResourceLocation,java.util.List<java.lang.String>> processedData,
                         net.minecraft.resources.IResourceManager resourceManager,
                         net.minecraft.profiler.IProfiler profiler)

Description copied from class: `MergeableCodecDataManager`
Main-thread processing, runs after prepare concludes

Overrides:
  `apply` in class `MergeableCodecDataManager<NameList,java.util.List<java.lang.String>>`

#### bakeTranslationKeys

    protected java.util.Map<net.minecraft.util.ResourceLocation,java.util.List<net.minecraft.util.text.IFormattableTextComponent>> bakeTranslationKeys()